{% extends 'base.html.twig' %}

{% block body %}

    <div class="mybreadcrumb">
        <div class="container">
            <ul class="breadcrumbs">
                <li class="home">
                    <a href="{{ path('home') }}" title="Go to Home Page"><img
                                src="{{ asset('/build/images/home.png') }}" alt="Home"/></a>&nbsp;
                    <span>&gt;</span>
                </li>
                <li>
                    <a href="{{ path('shop.'~ product.sex ~'.categories') }}">Categories</a>
                    <span>&gt;</span>
                </li>
                <li>
                    <a href="{{ path('shop.'~ product.sex ~'.category', {'id': product.subcategory.category.id}) }}">&nbsp;{{ product.subcategory.category.name }}
                        &nbsp;</a>
                    <span>&gt;</span>
                </li>
                <li>
                    <span class="grey">&nbsp;{{ product.name }}&nbsp;</span>
                </li>
            </ul>
            <ul class="previous">
                <li><a href="{{ app.request.headers.get('referer') }}">Back to Previous Page</a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
    </div>
    <section id="categoryBanner">
        <h1>{{ product.name }}</h1>
    </section>

    <div class="container">
        <div class="product-gallery">
            <div class="product-zoom">
                ass
            </div>
            <div class="product-image">
                {% if product.images is not empty %}
                    <img src="{{ asset('uploads/images/product/product/' ~ product.name ~ '/' ~ product.images.name) | imagine_filter('showProduct') }}"
                         alt="{{ product.name }}">
                {% else %}
                    <img src="{{ asset('build/images/no_image.png') | imagine_filter('showProduct') }}"
                         alt="No image">
                {% endif %}
            </div>
        </div>

        <div class="product-aside">
            <h3>{{ product.name }}</h3>
            <h4>RUB {{ product.price }}</h4>
            <h5>COLOR: {{ product.color }}</h5>
            <h5>SIZE: {{ product.size }}</h5>
            <ul class="list2">
                <li>
                    <ul class="icon1 sub-icon1 profile_img" id="action{{ product.id }}">
                        {% if cart and product.id in cart %}
                            <li id="actionRemove">
                                <button class="remove_from_cart" type="button" name="remove_from_cart"
                                        id="{{ product.id }}">
                                    Remove from cart
                                </button>
                            </li>
                        {% else %}

                            <li id="actionAdd">
                                <button class="add_to_cart" type="button" name="add_to_cart" id="{{ product.id }}">
                                    Add to cart
                                </button>
                            </li>

                        {% endif %}
                    </ul>
                </li>
            </ul>
        </div>

        <div class="product-details">
            assa
        </div>

    </div>


{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('cart') }}
{% endblock %}